Try ERPNext Buy Support Partners Foundation

V12 bench update fails while backing up sites

I’m running
ERPNext: v12.9.4 (version-12)
Frappe Framework: v12.6.2 (version-12)

While trying to do a normal bench update, it just stops and goes back to command prompt with no error as follows:

bench update
/usr/lib/python2.7/site-packages/requests/init.py:91: RequestsDependencyWarning: urllib3 (1.25.7) or chardet (2.2.1) doesn’t match a supported version!
RequestsDependencyWarning)
Backing up sites…
[frappe@service frappe-bench]$

I have tried to look at the following logs but cannot find any hint
~logs/backup.log
~logs/bench.log
~logs/worker.error.log

Can anyone suggest how I can have a verbose output of this update process or suggest any other log file that can give me a clue as to what is happening and why bench update will not complete

I’m trying to find the script that handles ‘bench update’

That’s here

But the problem may be you are still running Python 2.7 that is no longer supported?

You need to run bench migrate-env python3

1 Like

Managed to update with command
bench update --no-backup

Not sure if my last migrate-env python3 did work as suggested @clarkej. Thought I was running python 3 but error suggest I may be running 2.7

This may fix that if you have not tried it

easy fix:

sudo ln -s /usr/lib/python2.7 /usr/lib/python3

Of course make sure python3.x is installed and you migrated you site(s) to use it.